Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class RemovePermissionRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sns.model.RemovePermissionRequest

    public class RemovePermissionRequest

extends AmazonWebServiceRequest

Container for the parameters to the `RemovePermission operation`.

The RemovePermission action removes a statement from a topic's access control policy.

See Also:
  `AmazonSNS.removePermission(RemovePermissionRequest)`

Constructor Summary
`RemovePermissionRequest()` Default constructor for a new RemovePermissionRequest object.
`RemovePermissionRequest(String topicArn, String label)` Constructs a new RemovePermissionRequest object.

Method Summary
`String` | `getLabel()` The unique label of the statement you want to remove.
`String` | `getTopicArn()` The ARN of the topic whose access control policy you wish to modify.
`void` | `setLabel(String label)` The unique label of the statement you want to remove.
`void` | `setTopicArn(String topicArn)` The ARN of the topic whose access control policy you wish to modify.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RemovePermissionRequest` | `withLabel(String label)` The unique label of the statement you want to remove.
`RemovePermissionRequest` | `withTopicArn(String topicArn)` The ARN of the topic whose access control policy you wish to modify.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemovePermissionRequest

    public RemovePermissionRequest()

  Default constructor for a new RemovePermissionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### RemovePermissionRequest

    public RemovePermissionRequest(String topicArn,
                                   String label)

  Constructs a new RemovePermissionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `topicArn` - The ARN of the topic whose access control policy you wish to modify.
    `label` - The unique label of the statement you want to remove.

Method Detail

### getTopicArn

    public String getTopicArn()

  The ARN of the topic whose access control policy you wish to modify.

  Returns:
    The ARN of the topic whose access control policy you wish to modify.

### setTopicArn

    public void setTopicArn(String topicArn)

  The ARN of the topic whose access control policy you wish to modify.

  Parameters:
    `topicArn` - The ARN of the topic whose access control policy you wish to modify.

### withTopicArn

    public RemovePermissionRequest withTopicArn(String topicArn)

  The ARN of the topic whose access control policy you wish to modify.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topicArn` - The ARN of the topic whose access control policy you wish to modify.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLabel

    public String getLabel()

  The unique label of the statement you want to remove.

  Returns:
    The unique label of the statement you want to remove.

### setLabel

    public void setLabel(String label)

  The unique label of the statement you want to remove.

  Parameters:
    `label` - The unique label of the statement you want to remove.

### withLabel

    public RemovePermissionRequest withLabel(String label)

  The unique label of the statement you want to remove.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `label` - The unique label of the statement you want to remove.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.